Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.io
Class IOStreamConnector

    java.lang.Object
      com.sshtools.j2ssh.io.IOStreamConnector

public class IOStreamConnector
extends java.lang.Object

DOCUMENT ME!

Field Summary
`protected javax.swing.event.EventListenerList` | `listenerList` DOCUMENT ME!

Constructor Summary
`IOStreamConnector()` Creates a new IOStreamConnector object.
`IOStreamConnector(java.io.InputStream in, java.io.OutputStream out)` Creates a new IOStreamConnector object.

Method Summary
`void` | `addIOStreamConnectorListener(IOStreamConnectorListener l)` DOCUMENT ME!
`void` | `close()` DOCUMENT ME!
`void` | `connect(java.io.InputStream in, java.io.OutputStream out)` DOCUMENT ME!
`long` | `getBytes()` DOCUMENT ME!
`IOStreamConnectorState` | `getState()` DOCUMENT ME!
`void` | `removeIOStreamConnectorListener(IOStreamConnectorListener l)` DOCUMENT ME!
`void` | `setCloseInput(boolean closeInput)` DOCUMENT ME!
`void` | `setCloseOutput(boolean closeOutput)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listenerList

    protected javax.swing.event.EventListenerList listenerList

  DOCUMENT ME!

Constructor Detail

### IOStreamConnector

    public IOStreamConnector()

  Creates a new IOStreamConnector object.

### IOStreamConnector

    public IOStreamConnector(java.io.InputStream in,
                             java.io.OutputStream out)

  Creates a new IOStreamConnector object.

Parameters:
  `in` - DOCUMENT ME!
  `out` - DOCUMENT ME!

Method Detail

### getState

    public IOStreamConnectorState getState()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### close

    public void close()
               throws java.io.IOException

  DOCUMENT ME!

  Throws:
    `java.io.IOException` - DOCUMENT ME!

### setCloseInput

    public void setCloseInput(boolean closeInput)

  DOCUMENT ME!

  Parameters:
    `closeInput` - DOCUMENT ME!

### setCloseOutput

    public void setCloseOutput(boolean closeOutput)

  DOCUMENT ME!

  Parameters:
    `closeOutput` - DOCUMENT ME!

### connect

    public void connect(java.io.InputStream in,
                        java.io.OutputStream out)

  DOCUMENT ME!

  Parameters:
    `in` - DOCUMENT ME!
    `out` - DOCUMENT ME!

### getBytes

    public long getBytes()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### addIOStreamConnectorListener

    public void addIOStreamConnectorListener(IOStreamConnectorListener l)

  DOCUMENT ME!

  Parameters:
    `l` - DOCUMENT ME!

### removeIOStreamConnectorListener

    public void removeIOStreamConnectorListener(IOStreamConnectorListener l)

  DOCUMENT ME!

  Parameters:
    `l` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD